Bug 2530 - 'smbclient' gets errors and traps when conversing with Win98 SE
'smbclient' gets errors and traps when conversing with Win98 SE
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Client Tools
3.0.12
Sparc Solaris
: P3 normal
: none
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-22 15:26 UTC by starlight
Modified: 2005-08-24 10:16 UTC (History)
0 users

See Also:


Attachments
output -- bad (256 bytes, text/plain)
2005-03-22 15:28 UTC, starlight
no flags Details
tcpdump -- raw, bad (1.53 KB, application/octet-stream)
2005-03-22 15:28 UTC, starlight
no flags Details
tcpdump -- cooked, bad (11.70 KB, text/plain)
2005-03-22 15:30 UTC, starlight
no flags Details
dbx stack trace (808 bytes, text/plain)
2005-03-22 15:31 UTC, starlight
no flags Details
output -- good (30.54 KB, text/plain)
2005-03-22 15:32 UTC, starlight
no flags Details
tcpdump -- raw, good (19.72 KB, application/octet-stream)
2005-03-22 15:32 UTC, starlight
no flags Details
tcpdump -- cooked, good (213.85 KB, text/plain)
2005-03-22 15:33 UTC, starlight
no flags Details
Patch. (910 bytes, patch)
2005-03-22 16:48 UTC, Jeremy Allison
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description starlight 2005-03-22 15:26:24 UTC
'smbclient' returns errors and dies when conversing with a Win98 SE server.

$ smbclient //ono-sendai/c
smb: \> cd windows
cd \windows\: ERRDOS - ERRbadfunc (Invalid function.)
smb: \> dir
do_list: [\*] ERRDOS - ERRbadfunc (Invalid function.)
Error in dskattr: ERRDOS - ERRbadfunc (Invalid function.)
Segmentation Fault(coredump)

No problems from same servers when using x86 Fedora Core 1 'smbclient' (version 
above).

Compiled on Ultra 10 running Solaris 8 with recent patch cluster applied.  Used 
Sun Studio 7, cc 5.4 to compile 64-bit executables.

CFLAGS='-fast -xtarget=ultra2 -xarch=v9a'
Comment 1 starlight 2005-03-22 15:28:01 UTC
Created attachment 1079 [details]
output -- bad
Comment 2 starlight 2005-03-22 15:28:51 UTC
Created attachment 1080 [details]
tcpdump -- raw, bad

tcpdump -w smbclient_win98se_dir_trap_tcpdump.raw -s 4096 port 139
Comment 3 starlight 2005-03-22 15:30:51 UTC
Created attachment 1081 [details]
tcpdump -- cooked, bad

tcpdump -r smbclient_win98se_dir_trap_tcpdump.raw -vv -X -n
Comment 4 starlight 2005-03-22 15:31:34 UTC
Created attachment 1082 [details]
dbx stack trace
Comment 5 starlight 2005-03-22 15:32:08 UTC
Created attachment 1083 [details]
output -- good
Comment 6 starlight 2005-03-22 15:32:42 UTC
Created attachment 1084 [details]
tcpdump -- raw, good

tcpdump -w smbclient_win98se_dir_trap_tcpdump_good.raw -s 4096 port 139
Comment 7 starlight 2005-03-22 15:33:15 UTC
Created attachment 1085 [details]
tcpdump -- cooked, good

tcpdump -r smbclient_win98se_dir_trap_tcpdump_good.raw -vv -X -n
Comment 8 starlight 2005-03-22 15:44:37 UTC
Note this bug was produced *after* the patch for
<a href="show_bug.cgi?id=2519">Bug 2519</a></b></font> was applied.
Comment 9 Jeremy Allison 2005-03-22 16:48:28 UTC
I've just fixed this in SVN. Jerry - please fix this correctly :-).
Jeremy.
Comment 10 Jeremy Allison 2005-03-22 16:48:52 UTC
Created attachment 1086 [details]
Patch.
Comment 11 starlight 2005-03-22 17:41:12 UTC
Tested.  Works!
Comment 12 Gerald (Jerry) Carter 2005-03-24 06:23:49 UTC
fixed in 3.0.13
Comment 13 Gerald (Jerry) Carter 2005-08-24 10:16:12 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.